const path = require('path');
const nodeExternals = require('webpack-node-externals');

module.exports = {
  entry: path.resolve(__dirname, '../src/server/index.ts'),
  target: 'node',

  externals: [nodeExternals()],

  output: {
    path: path.resolve(__dirname, '../dist/server'),
    filename: 'index.js',
  },

  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: 'awesome-typescript-loader',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: ['.ts', '.tsx', '.js', '.jsx', '.mjs'],
  },
};
