"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
require("isomorphic-fetch");
var dotenv_1 = __importDefault(require("dotenv"));
var koa_1 = __importDefault(require("koa"));
var koa_logger_1 = __importDefault(require("koa-logger"));
var koa_session_1 = __importDefault(require("koa-session"));
var koa_views_1 = __importDefault(require("koa-views"));
var koa_static_1 = __importDefault(require("koa-static"));
var koa_shopify_auth_1 = __importStar(require("@shopify/koa-shopify-auth"));
var koa_webpack_1 = __importDefault(require("koa-webpack"));
var koa_shopify_graphql_proxy_1 = __importDefault(require("@shopify/koa-shopify-graphql-proxy"));
var koa_mount_1 = __importDefault(require("koa-mount"));
var webpack_1 = __importDefault(require("webpack"));
var path_1 = __importDefault(require("path"));
var webpack_web_1 = __importDefault(require("../../config/webpack.web"));
var homeRouter_1 = __importDefault(require("./router/homeRouter"));
var render_react_app_1 = __importDefault(require("./render-react-app"));
dotenv_1.default.config();
var server = function () {
    var _a = process.env, SHOPIFY_SECRET = _a.SHOPIFY_SECRET, SHOPIFY_API_KEY = _a.SHOPIFY_API_KEY;
    var compiler = webpack_1.default(webpack_web_1.default);
    var pView = path_1.default.join(__dirname, '../public');
    var pView2 = path_1.default.join(__dirname, '../public/static');
    var _b = process.env.PORT, PORT = _b === void 0 ? 3000 : _b;
    var app = new koa_1.default();
    app.use(koa_session_1.default(app));
    app.use(koa_views_1.default(pView, {
        extension: 'ejs',
    }));
    if (process.env.NODE_ENV !== 'production') {
        app.use(koa_logger_1.default());
    }
    app.keys = [SHOPIFY_SECRET];
    console.log(SHOPIFY_SECRET, SHOPIFY_API_KEY);
    app.use(homeRouter_1.default.routes());
    app.use(koa_static_1.default(pView2));
    app.use(koa_shopify_auth_1.default({
        apiKey: SHOPIFY_API_KEY,
        secret: SHOPIFY_SECRET,
        scopes: ['write_products'],
        afterAuth: function (ctx) {
            var _a = ctx.session, shop = _a.shop, accessToken = _a.accessToken;
            console.log('We did it!', shop, accessToken);
            ctx.redirect('/');
        },
    }));
    app.use(koa_mount_1.default('/shopify', koa_shopify_graphql_proxy_1.default()));
    app.use(koa_shopify_auth_1.verifyRequest({
        authRoute: '/auth',
        fallbackRoute: '/install',
    }));
    var config2 = {
        compiler: compiler,
        devMiddleware: {
            publicPath: '/',
            filename: 'bundle.js',
            serverSideRender: true,
        },
    };
    koa_webpack_1.default(config2).then(function (middleware) {
        app.use(middleware);
        app.use(render_react_app_1.default);
    });
    app.listen(PORT, function () {
        console.log("\uD83D\uDE80 Listening on port " + PORT);
    });
};
server();
exports.default = server;
//# sourceMappingURL=index.js.map