"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_fetch_component_1 = __importDefault(require("react-fetch-component"));
var react_apollo_1 = require("react-apollo");
var apollo_boost_1 = require("apollo-boost");
var GameList_1 = __importDefault(require("../components/GameList"));
var CREATE_PRODUCT = apollo_boost_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  mutation CreateProduct($product: ProductInput!) {\n    productCreate(input: $product) {\n      product {\n        id\n        title\n      }\n    }\n  }\n"], ["\n  mutation CreateProduct($product: ProductInput!) {\n    productCreate(input: $product) {\n      product {\n        id\n        title\n      }\n    }\n  }\n"])));
function default_1() {
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement("h1", null, "Board game loaders"),
        react_1.default.createElement(react_fetch_component_1.default, { url: "https://boardgameslist.herokuapp.com", as: "json" }, function (fetchResults) {
            if (fetchResults.loading) {
                return react_1.default.createElement("p", null, "Loading");
            }
            if (fetchResults.error) {
                return react_1.default.createElement("p", null, "fialed to fetch games");
            }
            return (react_1.default.createElement(react_apollo_1.Mutation, { mutation: CREATE_PRODUCT }, function (createProduct, mutationResults) {
                var loading = mutationResults.loading && react_1.default.createElement("p", null, "loading... ");
                var error = mutationResults.error && (react_1.default.createElement("p", null, "error creating product"));
                var success = mutationResults.data && (react_1.default.createElement("p", null,
                    "successfully created \u00A0",
                    mutationResults.data.productCreate.product.title));
                return (react_1.default.createElement(react_1.Fragment, null,
                    react_1.default.createElement(GameList_1.default, { games: fetchResults.data, onAddGame: function (title, image) {
                            var productInput = {
                                title: title,
                                productType: 'board game',
                                images: {
                                    src: image || '',
                                },
                            };
                            createProduct({
                                variables: { product: productInput },
                            });
                        } }),
                    loading,
                    error,
                    success));
            }));
        })));
}
exports.default = default_1;
var templateObject_1;
//# sourceMappingURL=HomePage.js.map