import React from 'react';
import {Route, Switch, withRouter} from 'react-router-dom';
import ReactShopifyAppRoutePropagator from '@shopify/react-shopify-app-route-propagator';
import {Style, Script} from '@shopify/react-html';

import HomePage from './Page/HomePage';
import ErrorPage from './Page/ErrorPage';

const Propagator = withRouter(ReactShopifyAppRoutePropagator as any);

const App = () => {
  return (
    <div>
      <Style
        href="./css/index.css"
        integrity="some-integrity-hash"
        crossOrigin="anonymous"
      />
      <Propagator />
      <Switch>
        <Route exact path="/" component={HomePage} />
        <Route path="/settings">
          <div>
            <h1>Settings</h1>
          </div>
        </Route>
        <Route component={ErrorPage} />
      </Switch>
    </div>
  );
};

export default App;
